Skip to main content
POST
Create Embedded App

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Body

application/vnd.api+json

Register an embedded app. hub_id is explicit: the developer picks the hub.

allowed_origins
string[]
required
Required array length: 1 - 5 elements
hub_id
string
required
Required string length: 1 - 36
launch_url
string
required
name
string
required
Required string length: 1 - 255
redirect_uris
string[]
Maximum array length: 10
webhook_url
string | null

Response

Successful Response

data
JsonApiResource[EmbeddedAppSecretAttributes] · object
required
included
any[] | null
meta
Meta · object | null